| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celDefaultHoverUpthruster Class Reference

This function will be used when UseDefaultStabiliserFunction is called. More...

`#include <tools/stabiliser_dist.h>`

Inheritance diagram for celDefaultHoverUpthruster:

[legend]
List of all members.

## Public Member Functions
| celDefaultHoverUpthruster (float dampening)
float | Force (celHoverObjectInfo obj_info)
| The force upwards to apply.

## Detailed Description

This function will be used when UseDefaultStabiliserFunction is called.

See libs/celtool/stabiliser_dist.cpp for the implementation.

Definition at line 71 of file stabiliser_dist.h.

## Member Function Documentation

float celDefaultHoverUpthruster::Force | ( | celHoverObjectInfo | obj_info | ) | `[virtual]`

| The force upwards to apply. Implements celStabiliserFunction.

The documentation for this class was generated from the following file:

- tools/stabiliser_dist.h